/***************************************************************************
                      infraredsettings.h  -  description
                             -------------------
    begin                : Fri Dec 13 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INFRAREDSETTINGS_H
#define INFRAREDSETTINGS_H

#include "infraredsettingsbase.h"

#include <qwidget.h>

class InfraredSettings : public InfraredSettingsBase
{
Q_OBJECT

public: 
	InfraredSettings(QWidget *parent=0, const char *name=0);
	~InfraredSettings();

	static const char* const configGroup;
	static const char* const configService;
	static const char* const configServiceDefault;

signals:
	void settingsChanged();

protected slots:
	void slotService(const QString&);
};

#endif
