/***************************************************************************
                          qobexclientget.h  -  description
                             -------------------
    begin                : Sun Jan 26 2003
    copyright            : (C) 2003 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QOBEXCLIENTGET_H
#define QOBEXCLIENTGET_H

#include "qobexclient.h"

#include <qcstring.h>

class QObexClientGet : public QObexClient
{
Q_OBJECT

public: 
	QObexClientGet(QObex&, const QString&);
	~QObexClientGet();

signals:
    void progress();
	void data(QByteArray&);

protected slots:
	void slotProgress();

protected:
    virtual void startOp();
    virtual void finishOp(QObexObject&);

    const QString source;
};

#endif
