/***************************************************************************
                       qobexinfrared.cpp  -  description
                             -------------------
    begin                : Thu Dec 12 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "qobexinfrared.h"

extern "C" {
	#include <openobex/obex.h>
}

QObexInfrared::QObexInfrared(const QString& serv) : service(serv) {

    // Initialize obex
    obex = OBEX_Init(OBEX_TRANS_IRDA, QObex_handleEvent, 0);

    // Store pointer to self for callbacks
    OBEX_SetUserData(obex, (void*) this);	
}

QObexInfrared::~QObexInfrared() {
}

bool QObexInfrared::transportConnect() {
	if(IrOBEX_TransportConnect(obex, service.latin1()) < 0)
        return false;
        
	createNotifier();
    return true;
}
