/***************************************************************************
                          sender.h  -  description
                             -------------------
    begin                : Tue Apr 8 2003
    copyright            : (C) 2003 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SENDER_H
#define SENDER_H

#include <qstring.h>

#include <kprogress.h>
#include <kurl.h>

class QObex;
class QObexClientPut;

class Sender : public KProgressDialog
{
Q_OBJECT

public: 
	Sender(QObex *obex, const KURL &url, QWidget *parent=0,
		   const char *name=0, const QString &caption=QString::null,
		   const QString &text=QString::null, bool modal=false);
	~Sender();

protected slots:
    void slotClientInfo(const QString&);
    void slotClientError(const QString&);
	void slotClientDone();

protected:
	bool error;
	QObexClientPut *client;	
};

#endif
